Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Customers
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
      POST
    • GET a list of documents
      GET
    • GET one document
      GET
    • POST (create) a batch of documents
      POST
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. Customers

POST (create) one customer

POST
/clients/{clientno}/customers
Creates one new customer. If the customer already exists, it will be updated (same as PUT customer, see details under PUT (update) one customer).
There are two ways to create new customer(s):
Use POST /clients/{clientno}/customers to create one new customer; input one customer object. The data will be validated and customer created immediately. You will get a response describing the status and result. The new customer is immediately active and ready to be used. Or:
Use POST /clients/{clientno}/customers/batches to create a batch of new customers; input an array of customer objects. The data will be stored, but not processed immediately. The output will present a batchUuid that you must keep track of. Processing is done asynchronously (later) and the bathcUuid can be used to retrieve the batch processing status and result using GET /clients/{clientno}/batches/{batchuuid}

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK. The request succeeded
Body

🟢201
🟠422
🟠400BadRequest
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/clients//customers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "metadata": {
        "userId": "TestUser"
    },
    "customer": {
        "customerNo": "543210",
        "name": "Owe Armstrong",
        "postalAddress": {
            "addressLine1": "C/O ARMchair industries",
            "addressLine2": "707 Arm street",
            "addressLine3": "Appartment 8",
            "postalCode": "1234",
            "cityName": "Oslo",
            "countryText": "Norway",
            "countryCode": "NO"
        },
        "customerCategory": "CONS",
        "emailAddressDocument": [
            "owea@testarmrest.no"
        ],
        "secondaryEmailAddress": [
            "test2.email@testarmrest.no"
        ],
        "phoneNo": "99887766",
        "secondaryPhoneNo": "997755332",
        "organizationNo": "984842252",
        "ssn": "12015641779",
        "ssnCountry": "NO",
        "dateOfBirth": "1956-01-12",
        "yearOfBirth": 1956,
        "informalName": "Oa",
        "customerGroupCode": "VIP",
        "priceNetOrGross": "B",
        "language": "no",
        "currency": "NOK",
        "distribution": {
            "type": "M",
            "einvoiceCode": 0
        },
        "sellerReference": "ARMref",
        "buyerReference": "OA",
        "bankAccountNo": "815013665841",
        "stopReminderUntil": "2026-01-01",
        "stopReminderMemo": "Agreed with customer",
        "stopDebtCollectionUntil": "2026-01-01",
        "stopDebtCollectionMemo": "Agreed with customer",
        "stopInterestCalcUntil": "2026-01-01",
        "stopInterestCalcMemo": "Agreed with customer",
        "efakturaBlockIds": [
            "12345678",
            "23456789",
            "34567890"
        ],
        "peppolBlockIds": [
            "987654321",
            "876543210",
            "976543210"
        ],
        "digipostBlockIds": [
            "owe.armstrong#6UY",
            "bill.lossius#8HM"
        ],
        "dueDays": 17,
        "vatLiable": true,
        "limitAmount": 2000,
        "discountRate": 5.5,
        "activeStatusWeb": "Passive",
        "customerMessage": "Happy holidays!",
        "options": [
            "NoUpdatePostalReturn"
        ]
    }
}'
Response Response Example
200 - Customer created
{
    "status": "PROCESSED",
    "result": "CREATED",
    "message": "Customer created",
    "clientNo": 2218,
    "accountNo": 500002,
    "customerNo": "543210",
    "warnings": [
        {
            "field": "EmailAddressDocument",
            "message": "Email address owea@ testarmrest.no was sanitized: owea@testarmrest.no was s"
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
GET ARM system code values
Next
PUT (update) one customer
Built with